import { EventEmitter, OnInit, QueryList } from '@angular/core';
import { MenuOption } from '../../types';
import { ListTileComponent } from './list-tile.component';
import { ListColumnComponent } from './list-column.component';
export declare class ListViewComponent implements OnInit {
    count: number | null;
    page: number;
    pageSize: number;
    pageSizeOptions: MenuOption[] | null;
    pageChanged: EventEmitter<number>;
    pageSizeChanged: EventEmitter<number>;
    sortOptions: MenuOption[] | null;
    sort: string | null;
    sortdir: string | null;
    sortChanged: EventEmitter<string>;
    sortdirChanged: EventEmitter<string>;
    columns: any[];
    private cols$;
    items: any[] | null | undefined;
    set cols(refs: QueryList<ListColumnComponent>);
    tile: any | null | undefined;
    private tiles$;
    set tiles(refs: QueryList<ListTileComponent>);
    constructor();
    ngOnInit(): void;
    emitPageChanged($event: number): void;
    emitPageSizeChanged($event: number): void;
    emitSortChanged($event: string): void;
    emitSortdirChanged($event: string): void;
}
