import { SwitchViewAction } from '../../../types';
import { ActivatedRoute, Router } from '@angular/router';
import { OnInit, EventEmitter } from '@angular/core';
import { HeaderMetaItem, RouterViewAction, ViewAction } from '../../../types';
export declare class ViewLayoutComponent implements OnInit {
    private route$;
    private router$;
    private searchInput$?;
    header: boolean;
    fluid: boolean;
    title: string;
    icon: string | null;
    actions: ViewAction[] | null;
    busy: boolean;
    searchPlaceholder: string | null;
    view: string | null;
    metaItems: HeaderMetaItem[] | null;
    onAction: EventEmitter<ViewAction>;
    onSearch: EventEmitter<string>;
    constructor(route$: ActivatedRoute, router$: Router);
    ngOnInit(): void;
    emitActionClick(action: ViewAction): void;
    routerLinkActionClick(action: RouterViewAction | any): void;
    searchActionClick(action: ViewAction, text: string): void;
    searchActionType(text: string): void;
    switchViewActionClick(action: SwitchViewAction | any): void;
}
