import { EventEmitter, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { MenuOption } from '../../types';
export declare class DropDownMenuComponent implements OnInit, OnChanges {
    options: MenuOption[];
    selectedValue: any | null;
    private selectedOption$;
    get selectedOption(): MenuOption | null;
    set selectedOption(option: MenuOption | null);
    selectedChanged: EventEmitter<any>;
    private expanded$;
    get expanded(): boolean;
    set expanded(value: boolean);
    constructor();
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    isSelected(option: MenuOption): boolean;
    onClickOutside($event: any): void;
    selectOption(option: MenuOption): void;
}
