import { OnInit, OnDestroy } from '@angular/core';
import { User } from 'oidc-client';
import { Router } from '@angular/router';
import { IAppLinks } from '../../../types';
import { AuthService } from 'indice-auth';
export declare class ShellHeaderComponent implements OnInit, OnDestroy {
    private authService;
    private router;
    links: IAppLinks;
    mobileMenuExpanded: boolean;
    userMenuExpanded: boolean;
    private routerSub$;
    private userSub$;
    user: User | null;
    avatarName: string | null;
    private statusSub$;
    constructor(authService: AuthService, router: Router, links: IAppLinks);
    ngOnDestroy(): void;
    ngOnInit(): void;
    private setCurrentUser;
    onClickOutside($event: any): void;
}
